require 'pathname'

Gem::Specification.new do |s|
  
  # Variables
  s.name        = Pathname.new(__FILE__).basename('.gemspec').to_s
  s.author      = 'Ryan Scott Lewis'
  s.email       = 'ryan@rynet.us'
  s.summary     = 'An open-source toolchain and SDK for PSP homebrew development glued together with Ruby.'
  s.description = s.summary
  s.license     = 'MIT'
  
  # Dependencies
  s.add_dependency 'version',       '~> 1.0'
  s.add_dependency 'psp-toolchain', '~> 0.0.2'
  s.add_development_dependency 'rake',   '~> 10.0'
  s.add_development_dependency 'rspec',  '~> 2.13'
  s.add_development_dependency 'fuubar', '~> 1.1'
  
  # Pragmatically set variables
  s.homepage      = "http://github.com/RyanScottLewis/#{s.name}"
  s.version       = Pathname.glob('VERSION*').first.read rescue '0.0.0'
  s.require_paths = ['lib']
  s.files         = %w(Gemfile Gemfile.lock LICENSE VERSION Rakefile README.md)
  
  s.files << "#{s.name}.gemspec"
  s.files += Dir.glob('lib/**/*.rb')
  s.files += Dir.glob('spec/**/*')
  
end
